;-----------------------------------------------------
; R.tester Global Settings (public / restricted)
;
; (C) 2014-2017, Mikhail Mavritsin (rtester@rlab.ru)
;
;-----------------------------------------------------

[GENERAL]
DEBUG Mode=0
AutoSave Settings=1
TipOfTheDay=0
Default Profile Library=0
;
AutoCheck SMART=0
AutoCheck GLIST=0
Auto Rescan=0
Auto Detect USB MCU=1
;
Ignore LSI3G Patch=0
;
; see [RESTRICTED_IO] and [RESTRICTED_SAT] section
Apply IO Restrictions=1
;
Show Physical Tree=0
Remember Containers=0
Rename Adapters=1
Discover SCSI Stuff=0
;
; ** FOR DEBUG USE ONLY **
Force SCSI IO=0
; ** FOR DEBUG USE ONLY **
;
WarningOn JMicronBug=0
WarningOn SecurityActive=1
WarningOn IntelCTXBug=1
WarningOn CapacityCut=1
WarningOn Interposer=0
;
Language=2
;
Resource Folder=C:\Resources\_DUMPs
CERT=C:\Resources\_CERT
Device Profile Library=1
Auto Check GLIST=1

[NETWORK]
Enable=0
Remote database=1
Share basic stuff=1
Allow RA=0

;====================================================================================================

[RESTRICTED_IO]
8086:1C02.IDE=0
8086:2680.IDE=1
8086:269E.IDE=1
8086:27C0.IDE=1
8086:3A22.IDE=0
8086:7777.IDE=240
;
1103:0005.SCSI=1
1B21:0612.SCSI=1
;1B4B:9123.SCSI=1

[RESTRICTED_SAT]
1002:*.IDE=1
1002:*.SCSI=1
1B21:0612.SCSI=1
1B4B:9123.SCSI=1
8086:*.IDE=1
8086:*.SCSI=1
;
; old JMicron JM2033x doesn't support DMA via SAT	** check again **
152D:2338.USB=1
;
1058:070A.USB=1
1058:070B.USB=1
; unknown bridge, NO DMA!, SAT16 + PIO OK
1058:25E7.USB=1
; Innostor IS611 allow only 0xEC and SMART via SAT12/SAT16	** <censored> ?! **
1F75:0611.USB=1
2537:1066.USB=1
; Transcend StoreJet w/ "j329" in INQUIRY, but this is fake tag... >:?
174C:5106.USB=1
; ASM1090R w/ 2x drives -> direct access are not supported yet
0BC2:AB2A.USB=1

;====================================================================================================

[LUA]
Enabled=1
Basedir=.\Scripts
;
OnDetectBrand=sys_OnDetectBrand.lua
OnParseQuickDiag=sys_OnParseQuickDiag.lua
OnShowPassport=sys_OnShowPassport.lua
OnDumpAtaSMART=sys_OnDumpAtaSMART.lua
OnDumpScsiSMART=sys_OnDumpScsiSMART.lua
OnGetQuickTests=sys_OnGetQuickTests.lua

;====================================================================================================

[USB]
; 1. You may define USB Vid & Pid and select proper VU pass-thru interface (Cypress, JMicron, Prolific, Sunplus, SAT) or "NA" if ATA pass-thru interface not known/not available
; 2. 2nd parameter are OPTIONAL and allow to re-define the name of USB bridge to display
;
0224:223A=NA,TC-1808G-18pin v1.1 (ASmedia ASM2042) / USB2.0-to-CEATA 
03F0:4507=SAT,Initio INIC-1607E / USB2.0-to-SATA
0411:01FE=SAT,Fujitsu MB86C311A (AES) / USB3.0-to-SATA2
0451:9260=SAT,TI TUSB9261 / USB3.0-to-SATA2
0480:A006=SAT,VIA Labs (VLI) VL701-04 / USB3.0-to-SATA2
0480:A200=SAT,ASMedia ASM1053 / USB3.0-to-SATA2
058F:6331=NA,AlcorMicro AU6331 USB2.0
;058F:6387=NA,AlcorMicro AU699x/FC8708 USB2.0 Flash Controller
059B:0070=SAT,PLX OXU3101-AANC (AES) / USB3.0-to-SATA2 [!]
059B:047C=SAT,Oxford OXUF934DSB / USB2.0-to-SATA2/Dual
05E3:0702=NA,Genesys Logic GL811E / USB2.0-to-ATA/ATAPI
05E3:0723=NA,Genesys Logic GL827L USB2.0 Single-LUN Card Reader
;090C:1000=NA,SMI SM3257ENLT USB2.0 Flash Controller
090C:6200=NA,SMI SM331/334(?) USB2.0 SD Card Reader
;0928:8000=SAT,Oxford OXUF934DSB / USB2.0-to-SATA2/Dual
;
;0930:6545=NA,Phison PS2251-68 (PS2268) USB2.0 Flash Controller
;0930:6545=NA,Phison PS2251-07 (PS2307) USB3.0 Flash Controller
;
0BC2:0501=Cypress,Cypress CY7C68300 / USB2.0-to-ATA/ATAPI
0BC2:2100=SAT,Oxford OXU931SF / USB2.0-to-SATA2
0BC2:2300=SAT,Initio INIC-1608L / USB2.0-to-SATA2
0BC2:231A=SAT,JMicron JMS579 / USB3.0-to-SATA3
0BC2:2330=SAT,Genesys Logic GL3310 / USB3.0-to-SATA2
0BC2:61B5=SAT,JMicron JMS579 / USB3.0-to-SATA3
0BC2:A013=SAT,ASMedia ASM1053 / USB3.0-to-SATA2
0BC2:AB10=SAT,Initio INIC-3609PN / USB3.0-to-SATA3
0BC2:AB24=SAT,ASMedia ASM1153 / USB3.0-to-SATA3
0BC2:AB25=SAT,ASMedia ASM1153 / USB3.0-to-SATA3
0BC2:AB26=SAT,JMicron JMS579 / USB3.0-to-SATA3
0BC2:AB2A=SAT,ASMedia ASM1090R / USB3.0-to-2xSATA3 (RAID)
0BC2:AB31=SAT,Initio INIC-1605L / USB2.0-to-SATA2
125F:A94A=SAT12,Moai MA6116 / USB2.0-to-SATA2
1376:2011=Sunplus,Sunplus SPIF215A-HF021 / USB2.0-to-SATA
13FD:1617=Initio,Initio INIC-1607E (AES) USB2.0 / USB2.0-to-SATA2
;13FE:3E00=Phison,Phison PS2251-61 (PS2261) USB2.0 Flash Controller
1516:1603=Skymedi,Skymedi SK6211BA USB2.0 Flash Controller
152D:2509=SAT,JMicron JMS551 / USB3.0-to-2xSATA2/RAID
152D:2567=SAT,JMicron JMS569 / USB3.0-to-SATA3
;1687:3257=NA,SMI SM3257ENAA USB2.0 Flash Controller
6737:4695=Cypress,In-System ISD-300A1 / USB2.0-to-ATA/ATAPI (+TI IEEE-1394a)
;
; My Passport Essential / Onyx WTG Passport Enterprise
1058:0770=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0772=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0774=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0776=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0778=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:077A=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:077C=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:077E=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0830=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0832=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0834=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0835=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0836=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0837=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0838=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:0839=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:083A=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:083B=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:1072=SAT,ASMedia ASM1051 / USB3.0-to-SATA2
1058:1078=SAT,ASMedia ASM1051 / USB3.0-to-SATA2
1058:107B=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:107C=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:107D=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:107E=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:1170=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:1172=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:1174=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:1178=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:1230=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:1232=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
1058:1234=SAT,ASMedia ASM1051W / USB3.0-to-SATA2
;
1058:070A=SAT,Initio INIC-1607E / USB2.0-to-SATA2
1058:070B=SAT,Initio INIC-1607E / USB2.0-to-SATA2
1058:0750=SAT,Initio INIC-3607E / USB3.0-to-SATA2
1058:0752=SAT,Initio INIC-3607E / USB3.0-to-SATA2
1058:07A0=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:07A2=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:07A8=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:07AA=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:07AC=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:07AE=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:0810=SAT,Initio INIC-3608PN / USB3.0-to-SATA2
1058:0812=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:0814=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:0815=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:0816=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:1020=SAT,Initio INIC-1610P / USB2.0-to-SATA2
1058:1021=SAT,Initio INIC-1610P / USB2.0-to-SATA2
1058:10A0=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:10A2=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:10A8=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:1110=SAT,Initio INIC-1607E / USB2.0-to-SATA2
1058:1111=SAT,Initio INIC-1607E / USB2.0-to-SATA2
1058:111A=SAT,Initio INIC-1607E / USB2.0-to-SATA2
1058:1150=SAT,Initio INIC-3607E / USB3.0-to-SATA2
1058:1152=SAT,Initio INIC-3607E / USB3.0-to-SATA2
1058:11A0=SAT,Initio INIC-3608 / USB3.0-to-SATA2
1058:11A2=SAT,Initio INIC-3608 / USB3.0-to-SATA2
;
1058:0740=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0741=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0742=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0743=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0744=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0746=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0748=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:074A=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:074C=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:074D=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:074E=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:07B8=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:07BA=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:0820=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:0822=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:0824=SAT,JMicron JMS569 Gen2 (AES) / USB3.0-to-SATA2
1058:0825=SAT,JMicron JMS569 Gen2 (AES) / USB3.0-to-SATA2
1058:0826=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:0827=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:0828=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:0829=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:082A=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:082B=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:0844=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0845=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0846=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:0A10=SAT,JMicron JMS561 A2 (AES) / USB3.0-to-SATA2
1058:0A12=SAT,JMicron JMS561 A2 (AES) / USB3.0-to-SATA2
1058:1026=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:1042=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:1048=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:10B8=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:10BC=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:10BD=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:10BE=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:1140=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:1142=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:1144=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:1148=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:114A=SAT,JMicron JMS538S (AES) / USB3.0-to-SATA2
1058:1220=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:1222=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
1058:1224=SAT,JMicron JMS569 (AES) / USB3.0-to-SATA2
;
1058:070C=SAT,Oxford OXUF943SE (AES) / FireWire-800/USB2.0-to-SATA2
1058:071C=SAT,Oxford OXUF943SE (AES) / FireWire-800/USB2.0-to-SATA2
1058:071D=SAT,Oxford OXUF943SE (AES) / FireWire-800/USB2.0-to-SATA2
;2Q My Book Studio II Edition, Oxford UFS936DSB Firefly
1058:1105=SAT,Oxford OXUFS936DSB (AES) / FireWire-800/USB2.0-to-SATA2
1058:1112=SAT,Oxford OXUF943SE (AES) / FireWire-800/USB2.0-to-SATA2
1058:111C=SAT,Oxford OXUF943SE (AES) / FireWire-800/USB2.0-to-SATA2
1058:111D=SAT,Oxford OXUF943SE (AES) / FireWire-800/USB2.0-to-SATA2
;
1058:0730=SAT,Symwave SW6316-xxx / USB3.0-to-SATA2
1058:0732=SAT,Symwave SW6316-xxx / USB3.0-to-SATA2
1058:1123=SAT,Symwave SW6316-xxx A2 / USB3.0-to-SATA2
1058:1130=SAT,Symwave SW6316-xxx / USB3.0-to-SATA2
1058:1132=SAT,Symwave SW6316-xxx / USB3.0-to-SATA2
;
152D:0551=SAT,JMicron JMS551 (AES+RAID) / USB3.0-to-2xSATA2
174C:5106=SAT,ASMedia ASM1153 / USB3.0-to-SATA3 (no DMA?)
;
1F75:0611=SAT,Innostor IS611 / USB3.0-to-SATA2+2xPATA (SH#T)
;
2537:1066=SAT,Norelsys NS1066 / USB3.0-to-SATA2 (weird)
3234:3214=NA,AMECO MW6208 USB2.0 Flash Controller
;
;8564:1000=NA,Innostor IS916EN USB3.0 Flash Controller
;8564:1000=NA,SMI SM3257AA USB2.0 Flash Controller
8564:4000=NA,Genesys Logic GL3220 USB3.0 Multi-LUN Card Reader

;====================================================================================================

[PCI]
;
; 1. You may define PCI Ven & Dev and select proper VU pass-thru interface (see below) or "NA" if ATA/SCSI pass-thru interface not known/not supported by hardware
;   ** known interfaces: MARVELL, LSI, HPT
;
; 2. 2nd parameter are OPTIONAL and allow to re-define the name of PCI adapter to display
;
1103:2620=HPT,HPT RocketRAID 2620 (88SE6445), SAS-3G/SATA-II (2TB MAX!)
1103:2640=HPT,HPT RocketRAID 2640 (88SE6445), SAS-3G/SATA-II (2TB MAX!)
1103:2644=HPT,HPT RocketRAID 2644 (88SE6445), SAS-3G/SATA-II (2TB MAX!)
1103:2680=HPT,HPT RocketRAID 2680 (88SE6485), SAS-3G/SATA-II (2TB MAX!)
1103:2710=HPT,HPT RocketRAID 2710, SAS-6G/SATA-III
1103:2711=HPT,HPT RocketRAID 2711, SAS-6G/SATA-III
1103:2720=HPT,HPT RocketRAID 2720, SAS-6G/SATA-III
1103:2721=HPT,HPT RocketRAID 2721, SAS-6G/SATA-III
1103:2722=HPT,HPT RocketRAID 2722, SAS-6G/SATA-III
1103:2730=HPT,HPT RocketRAID 2730, SAS-6G/SATA-III
1103:2740=HPT,HPT RocketRAID 2740, SAS-6G/SATA-III
1103:2744=HPT,HPT RocketRAID 2744, SAS-6G/SATA-III
1103:2760=HPT,HPT RocketRAID 2760, SAS-6G/SATA-III
;
1B4B:9123=Marvell,Marvell 88SE912x SATA-II
1B4B:91A4=Marvell,Marvell 88SE912x SATA-II (PATA Port)
;
1000:0050=LSI,LSI SAS1064 4-port SAS-3G/SATA-II
1000:0051=LSI,LSI SAS1064-1 4-port SAS-3G/SATA-II
1000:005C=LSI,LSI SAS1064A 4-port SAS-3G/SATA-II
1000:0056=LSI,LSI SAS1064E 4-port SAS-3G/SATA-II
1000:0057=LSI,LSI SAS1064E-1 4-port SAS-3G/SATA-II
1000:005E=LSI,LSI SAS1066 6-port SAS-3G/SATA-II
1000:005A=LSI,LSI SAS1066E 6-port SAS-3G/SATA-II
1000:0054=LSI,LSI SAS1068 8-port SAS-3G/SATA-II
1000:0055=LSI,LSI SAS1068-1 8-port SAS-3G/SATA-II
1000:0058=LSI,LSI SAS1068E 8-port SAS-3G/SATA-II
1000:0059=LSI,LSI SAS1068E-1 8-port SAS-3G/SATA-II
1000:0062=LSI,LSI SAS1078 8-port SAS-3G/SATA-II (ROC)
1000:0060=LSI,LSI SAS1078-1 8-port SAS-3G/SATA-II (ROC)
;
1000:0070=LSI,LSI SAS2004 4-port SAS-6G/SATA-III
1000:0072=LSI,LSI SAS2008 8-port SAS-6G/SATA-III
1000:0074=LSI,LSI SAS2108-1 8-port SAS-6G/SATA-III (ROC)
1000:0076=LSI,LSI SAS2108-2 8-port SAS-6G/SATA-III (ROC)
1000:0077=LSI,LSI SAS2108-3 8-port SAS-6G/SATA-III (ROC)
1000:0064=LSI,LSI SAS2116-1 16-port SAS-6G/SATA-III (ROC)
1000:0065=LSI,LSI SAS2116-2 16-port SAS-6G/SATA-III (ROC)
1000:007E=LSI,LSI SSS6200 PCIe SSD
1000:0080=LSI,LSI SAS2208-1 8-port SAS-6G/SATA-III (ROC)
1000:0081=LSI,LSI SAS2208-2 8-port SAS-6G/SATA-III (ROC)
1000:0082=LSI,LSI SAS2208-3 8-port SAS-6G/SATA-III (ROC)
1000:0083=LSI,LSI SAS2208-4 8-port SAS-6G/SATA-III (ROC)
1000:0084=LSI,LSI SAS2208-5 8-port SAS-6G/SATA-III (ROC)
1000:0085=LSI,LSI SAS2208-6 8-port SAS-6G/SATA-III (ROC)
1000:0086=LSI,LSI SAS2308-1 8-port SAS-6G/SATA-III
1000:0087=LSI,LSI SAS2308-2 8-port SAS-6G/SATA-III
1000:006E=LSI,LSI SAS2308-3 8-port SAS-6G/SATA-III
1000:0096=LSI,LSI SAS3004 4-port SAS-12G/SATA-III
1000:0097=LSI,LSI SAS3008 8-port SAS-12G/SATA-III
1000:006C=LSI,LSI SAS3008-1 8-port SAS-12G/SATA-III
1000:0090=LSI,LSI SAS3108-1 8-port SAS-12G/SATA-III (ROC)
1000:0091=LSI,LSI SAS3108-2 8-port SAS-12G/SATA-III (ROC)
1000:0092=LSI,LSI SAS3108-3 8-port SAS-12G/SATA-III (ROC)
1000:0093=LSI,LSI SAS3108-4 8-port SAS-12G/SATA-III (ROC)
1000:0094=LSI,LSI SAS3108-5 8-port SAS-12G/SATA-III (ROC)
1000:0095=LSI,LSI SAS3108-6 8-port SAS-12G/SATA-III (ROC)
;
13C1:1010=3WARE,3ware SAS 9750 SAS/SATA 6G (LSISAS2108 ROC)
;
1344:5188=NVME,Micron NVMe SSD (Seagate)
;
8086:1C02=NA,Intel 6-Series/C200 6-port SATA AHCI
8086:3A20=NA,Intel 82801J/ICH10 4-port SATA (EIDE)
8086:F1A5=NVME,Intel 600P Series SSD (PCIe)
;
10DE:0AB5=NA,NVidia MCP79 SATA Controller

;====================================================================================================

[HIDE_BY_SERIAL]

;====================================================================================================

[HIDE_BY_LOCATION]

;====================================================================================================

[ID_SEAGATE.SCSI]
; ------	VIRTUAL product IDs
800=Cheetah_9
;
; ------	REAL product IDs
001=Cuda_18HH/9LP
;SCSI
002=Cheetah_18HH/9LP
;FC
003=Cheetah_18HH/9LP
004=Cuda_18HH/9LP
;SCSI
005=Cuda_36HH/18LP
006=Cuda_9XL
;SCSI
007=Cheetah_36HH/18LP
;FC
008=Cuda_36HH/18LP
;FC
009=Cheetah_36HH/18LP
;SCSI
00A=Cuda_50
;FC
00B=Cuda_50
00C=Cuda_18XL
00D=Cuda_36LP
00E=Cheetah_72HH/36LP
00F=Cheetah_X15
010=Cheetah_18XL
011=Cheetah_36XL
012=Cheetah_73LP
013=Cuda_180HH
014=Cuda_36ES
; legacy / native
015=Cheetah_X15_36LP
016=Cheetah_36ES
017=Cheetah_73ES
018=Cuda_73ES/36ES2
019=Cheetah_10K6
01A=Cheetah_15K3
01B=Cuda_225LP
01C=Cheetah_10K7
01D=Cheetah_15K4
01F=SFF_10K1
022=Blizzard
023=Stingray
; Platform
021=Cheetah_T10
024=Savvio_10K2
025=Savvio_15K1
028=Barracusa_ES2
02A=Cheetah_15K6
02B=CheetahNS_10K1
02C=HurricaneRC
02E=Savvio_10K3
02F=Savvio_15K2
030=Cheetah_15K7
031=CheetahNS_10K2
038=Constellation
039=Constellation_ES
043=Savvio_10K4
044=Constellation_ES2
045=Constellation2
047=Savvio_15K3
04E=Savvio_10K5
050=Constellation_ES2
05A=Savvio_10K6/XT10K1
064=Constellation_ES3
066=Constellation_ES1
06E=Savvio_15K4
071=1200_SSD
074=Savvio_10K7
07B=Constellation_ES4
07C=Savvio_10K8
07D=Constellation3
084=Savvio_15K5
084=Savvio_15K6
092=Constellation_ES5
096=1200.2_SSD
098=Constellation_ES6
;099=
;09A=
09F=Savvio_10K8_NEW

[ID_SEAGATE.IDE]
001=Tonka
002=GalileoPlus
005=Casper
006=Mercury2
007=M72
008=Mercury_N2
009=Overdrive
00A=Venus
00C=Tonka2
00D=MercuryLite
00E=Tonka4Disk
00F=M2TD
010=Tonka15
011=Galileo
012=Galaxy
013=T40
014=TLite
018=Cody
01B=NightHawk
01E=Corsair
020=Mack
026=Mack
; Platform
027=Moose
02D=Brinks
032=Brinks_Fleming
034=Crockett
035=Holliday
037=Casey
03A=Muskie
03C=Wyatt
03D=Garbo
03E=Holliday
03F=Pharaoh
040=Hepburn
041=Cameron
042=Desaru
046=Airwalker
048=Trinidad
04B=Marina
04C=Seletar
04D=Sapta
04F=Banshee
051=Anak
054=Julius1
055=Sentosa
056=Sapta15
058=Grenada(BP)
059=Bacall
063=Megalodon
065=MuskiePlus
067=Tambora
070=Lombard
072=Kahuna_5K
073=Kahuna_7K
075=YarraR_5K
076=Angsana_5K
078=Shepherd
079=Crawford_SMR
; SATA 6G	ST4000DX002-1H2178, FW:CC46, SN: Z4E0....
07A=Makara
07E=Avenger
083=AngsanaH
086=YarraX
08A=M10TDP_SMR
08B=LamarR
08C=Rosewood_SMR
091=MakaraBP(Plus)
094=PharaohOasis
097=Tatsu
0A0=V9
0A2=Mobula
0A5=RosewoodLC_SMR
0A6=Nemo
;
820=Alpine*
848=Tonka*
861=Neptune*
8A8=Puma*
8A0=Venus*
8E0=AlpinePlus*
8E1=ST1*

[ID_WDC.SCSI]
0B2=RIGEL
0DA=VEGA_3D
109=BACH_RE_4D
127=SIRIUS_3D
15E=VERDI_RE
197=SIRIUS_PLUS

[ID_WDC.IDE]
001=C8
002=MIRAGE
004=CHEETAH
005=C9_C10
006=BANDIT
007=PHOENIX
008=CENTURY
009=GENESIS
00A=MAKO
00B=PANTHER
00C=TUCSON
00E=SEDONA
00F=JAGUAR
010=CHANDLER
011=FLAGSTAFFx11
012=TIGER
013=P15IL
014=P15I
015=REBEL
016=FLAGSTAFF
017=CHANDLER_PX
018=HUNTER
019=REVOLUTION
01A=INVADER_XL100
01B=TRIUMPH
01C=MILLENIUM
01D=INVADER
01E=RHINO
01F=MILLENIUM_PLUS
020=P27i
021=P30i
022=P30IL
023=SPARTAN
024=RADICAL
025=INVADER_XL2
026=XTREME
027=XTREME2
028=INVXL2_5K4
029=PREDATOR
02A=CENTURION
02B=RENEGADE
02C=CENTURION_VL
02D=MAVERICK
02E=CENTURION_TALON
02F=CENTURION_XL2
030=CENTURION_PROTEGE
031=XBOX
032=CENT_TALON_XL2
033=XTREME_VL40
034=MAVERICK_5400
035=XTREME_VL20CR
036=CENT_TALON_LE
037=PIONEER
038=ECLIPSE_7200
039=ECLIPSE_5400
03A=XBOX_LE
03B=VOYAGER
03C=STINGER      
03D=MAV_MARVELL_7200
03E=MAV_MARVELL_5400
03F=NEO
040=XENON
041=SAFARI
042=TSUNAME
043=CYCLONE
044=PUMA
045=TRAILBLAZER
046=EXPEDITION
047=PIONEER_V
;			** WD ARM start point ? **
048=MAMMOTH
049=POLARIS
04A=NOVA
04B=ASPEN
04C=ECLIPSE2
04D=SAFARI_SE
04E=TRAILBLAZER_EAGLE
04F=POLARIS_FALCON
050=SCORPIO
051=SCORPIO_MAMMOTH
052=SCORPIO_ASPEN
053=SABRE
055=MAMMOTH_M
056=BALBOA
057=LIDO
058=UNICORN
059=SABRE_LC
05A=HERCULES
05B=BUCCANEER
05C=AVALON
05D=XBOX2
05E=MOSQUITO
05F=DEFENDER
060=CATALINA
061=UNICORN2
062=SIRIUS
063=HAWK
064=ANTARES
;			** ROYL ? **
065=ORION
066=STG_DFH
067=STG_VDT
068=ZEUS
069=SARGUS
06A=TAURUS
06B=ODYSSEY
06C=HERCULES_SAE
06D=STG_VDT2
06E=ZEUS
06F=RAIDER
070=NEPTUNE
071=ZEUS_RE
072=STG_ZUMA
073=AQUARIUS
074=SEQUOIA
075=JUPITER
076=STARLING
077=GLACIER
078=ARIES
079=ARIES
07A=MCKINLEY
07B=STARLING2
07C=HAWK2
07D=TORNADO
07E=STG_MCKINLEY
07F=SEQUOIA_ZUMA
080=CRICKET
081=TORNADO3
082=STG_ARLB
083=STG_1K
084=STG_PATA
085=UNICORN6
086=LEO
087=STG_VANC
088=SEQUOIA_PATA
089=JUPITER_ZUMA
08A=TORNADO2_PATA
08B=STG_TWIN
08C=TORNADO3_PATA
08D=LYNX
08E=STG_VPMR
08F=STG_DENALI
090=TORNADO2_PMR
091=SEQUOIA_PMR
092=YOSEMITE
093=TORNADO2_PPMR
094=VIKING
095=TORNADOD3_PMR
096=HULK
097=COUGAR
098=DANU
099=STG_YOSE
09A=TORNADO3_PPMR
09B=SPIDER
09C=STG_KODIAK
09D=ATLANTIS
09E=DENALI
09F=PINNACLE
0A0=MARS
0A1=NEMO
0A2=STG_MERCURY
0A3=SEQUOIA_RE
0A4=TORNADO2_PMR_RE
0A5=TORNADO3_PMR_RE
0A6=HULK_RE
0A7=SPIDER_RE
0A8=SEQUOIA_PPMR
0A9=SEQUOIA_PMR2M
0AA=YOSE_RE
0AB=ATLANTIS_RE
0AC=MARS_RE
0AD=EMERALD
0AE=STG_YUKON
0AF=TROY
0B0=YUKON_2D
0B1=KERMIT
0B3=SATURN
0B4=PINNACLE_RE
0B5=VENUS
0B6=CYPRESS
0B7=MERCURY
0B8=PINNACLE_HF
0B9=ATLANTIS_HF
0BA=GEKKO
0BB=SPART_RE
0BC=PINNACLE_PA
0BD=ATLANTIS_PA
0BE=MARS_HF
0BF=PINNACLE_E
0C0=ATLANTIS_E
0C1=GEKKO_E
0C2=KERMI_E
0C3=MANTI_RE
0C4=SHASTA
0C5=CALLISTO
0C6=TAHOE
0C7=EVEREST5
0C8=MIDORI
0C9=HAFIZA
0CA=STG_DRAG
0CB=PINNACLE_LITE
0CC=DTR
0CD=PLUTO
0CE=DRAGFLY2
0CF=VENUS
0D0=STG_DF1D
0D1=STG_MRNR
0D2=STG_AZTC
0D3=MARINER
0D4=AZTEC
0D5=PINNACLELITE_PATA
0D6=MARSLITE
0D7=DOLPHIN
0D8=YUKON1D
0D9=DRAGFLY1
0DB=DRAGFLY3_PL
0DC=BOBCAT
0DD=STG_SMPL
0DE=MOZRT_RE
0DF=DRAGFLY4
0E0=LUNA
0E1=TAHITI
0E2=TAHOE2D
0E3=DRGF4_RE
0E4=DAYTONA
0E5=JAMAICA
0E6=VULCAN_RE
0E7=HERON
0E8=FIREBIRD
0E9=TAHO_TST
0EA=LIBERTY
0EB=MOJITO
0EC=TAHOE_PL
0ED=DENALILE
0EE=DOLPHIN2
0EF=STG_VMZ
11E=EUROPA
11F=JAMAICA_4K
122=SUMT_RE
13F=EVERESTV
140=EVRSTV4K
161=TRESSELS
162=DIABLO3D
163=TRAILS
1F0=WHITNY_RE_HPA
1F3=HUBBLE_LT
206=DIABLO3S
225=REMBRANDT
227=TRAILS_XLB
233=MAKALU
235=GIANT_H15
23C=HUBBLE_LT2
23F=RAINIER_HPA
242=REMBRANDT_RE 
246=REMBRANDT_AE 

[ID_SAMSUNG.IDE]
001=M6/M6U
002=M8
004=F4EG
005=PALADIN
006=P80VEM
008=ATLANTA
009=N4A
00A=PARAGON
00B=M9
00C=MARBLE
00D=V125
00F=M8T
010=F6
011=MH6
012=GIGACUBE
014=P80A
015=FIREFOX
016=F1_TRINITY
017=RUBICON
018=M7E
019=N3B
01A=TRIDENT
01B=F3S2
01C=MP4
01D=M5C
01E=N3C
01F=P80SDT
020=V100
021=PALO
022=M7ELP
023=N61S
024=P80PLUS
025=TRIDENT2
026=P80SD
027=F3S1
028=M7S1
029=F5
02A=M8H
02B=MP2
02C=M8E
02D=M8P
02E=VELOCE
02F=M8L
030=N3A
031=F5EG
032=TRIDENT3
033=P80M
034=POSEIDON
035=MAGNUM
036=M5
037=PANGO
038=MAGMA
039=MT1
03A=STORM
03B=VANGOPLUS
03C=MT2
;
03D=M9T
03E=M9TBP

[ID_HITACHI.SCSI]
018=Himalaya-8
019=Himalaya-9
01A=Himalaya-A
;
02B=Jura-B
02C=Jura-C
02D=Jura-D
02E=Jura-E
02F=Jura-F
030=Jura-G
;
03E=Kilimanjaro-E
03F=Kilimanjaro-F
040=Kilimanjaro-G

[ID_IBM.IDE]

[ID_IBM.SCSI]

[ID_HGST.IDE]
001=7K2000
002=7K1000.C
003=5K1000
004=Z5K320
005=Z7K320
006=T5K750
007=T7K750
008=7K3000
009=5K3000
00A=5K2000
00B=7K3000
00C=7K1000.D
00D=MARS.OEM
00E=MARS.OEM
00F=MARS.OEM
010=Z5K500
011=Z5K500
012=Z7K500
013=T5K1000
014=T7K1000
015=7K4000
016=7K4000
017=MegaScale_DC
018=T5K1500
019=Z5K500
01A=Z7K500
01B=Z5K1000
;
030=7K6000
031=7K6000
032=He6
033=He8

[ID_HGST.SCSI]
001=C10K147
002=C10K300
003=C10K600
004=C10K900
005=C10K1200
006=C10K1800
;007=
010=C7K1000-CALL-RLAB
011=C15K147
012=C15K600
020=15K147
021=15K300
022=15K450
023=15K600
024=7K3000
025=7K4000
028=7K6000
030=He6
031=He8
032=He10
033=Ha10
;034=He12
;035=He14_SMR
;
; SSD400xx / RalstonPeak
050=RalstonPeak
;  SSD800Mx / SunsetCove
;  SSD1000MR / SunsetCove
054=SunsetCove
; SSD800MH.B / SunsetCovePlus
; SSD1600Mx / SunsetCovePlus
058=SunsetCovePlus
